CSCC_SYS_RAM  .section bank0
;============================================
;־λ      
;============================================
R_System_Flag               EQU     80h
    B_Int_Flag              EQU     0
    B_Booting_Flag          EQU     1
    B_Comm_Timeout          EQU     2
    B_Comm_Abnormal         EQU     3       ;֡մλRX Bufferиλ
    B_RecData_OK            EQU     4
    B_Execute_OK            EQU     5
    B_APIntegrity_Fail      EQU     6
    
R_Time_Flag                 EQU     81h
    B_Time_1ms              EQU     0
    B_Time_100ms            EQU     1
    B_Comm_Start            EQU     2
    
R_ISP_Flag                  EQU     82h
;   B_PassWord_Match        EQU     0
    B_ISP_Busy              EQU     1
;   B_ISP_Change            EQU     2

;============================================
;Ĵ  
;============================================
R_RecData_Count             EQU     83h     ;ݼ
R_SendData_Count            EQU     84h     ;ݼ

R_FrameCS_Calculate         EQU     85h     ;֡Уֵ
R_FrameCS_Position          EQU     86h     ;֡Уλ

R_ROM_AddrL                 EQU     87h     ;ROMַλ
R_ROM_AddrH                 EQU     88h     ;ROMַλ
R_ROM_DataL                 EQU     89h     ;ROMݵλ
R_ROM_DataH                 EQU     8Ah     ;ROMݸλ
R_Page_Latch_Count          EQU     8Bh     ;page latchд
R_ROM_WCount_Try            EQU     8Ch     ;дROMԴ

R_Decode_AddrL              EQU     8Dh     ;ݵַλ
R_Decode_AddrH              EQU     8Eh     ;ݵַλ
R_Decode_DataL              EQU     8Fh     ;ݵλ
R_Decode_DataH              EQU     90h     ;ݸλ
R_Decode_Count              EQU     91h     ;ݼ

R_RecCmd_Table              EQU     92h     ;ִвĴ

R_Boot_TimeOut_Count1       EQU     93h 
R_Boot_TimeOut_Count2       EQU     94h     ;BootLoaderʱ
R_Comm_TimeOut_Count        EQU     95h     ;ͨųʱ
R_Comm_Abnormal_Count       EQU     96h     ;ͨŸλʱ
R_ISP_Round_Count           EQU     97h     ;ISPִμ
;R_ISP_Wait_Count           EQU     98h     ;ISP̵ȴ
R_Reset_TimeOut_Count       EQU     9Ah     ;λʱ

R_ISP_CMD                   EQU     9Bh     ;ISPָ

R_ERR_Count                 EQU     9Ch     ;մ

R_User_Data_StartH          EQU     9Dh     ;ûݴ洢ʼַλַ
R_User_Data_StartL          EQU     9Eh     ;ûݴ洢ʼַλַ

R_APToBoot0                 EQU     0FEh
R_APToBoot1                 EQU     0FFh

;============================================
;ֲ 
;============================================
R_RecData_Temp              EQU     0F0h    
R_SendData_Temp             EQU     0F1h
R_ROMCheck_Temp             EQU     0F2h
R_APVersion_Temp1           EQU     0F3h
R_APVersion_Temp2           EQU     0F4h
R_Local_Temp5               EQU     0F5h

.ends

CSCC_RECEIVE_BUFFER_RAM  .section bank1
;============================================
;ݻ涨   
;============================================
R_RecHead                   EQU     100h        ;֡ͷַ
R_RecLength                 EQU     101h        ;ַ֡
R_RecCommand                EQU     102h        ;뻺ַ

R_SendACK                   EQU     180h        ;ACKַ
R_SendHead                  EQU     181h        ;֡ͷַ
R_SendLength                EQU     182h        ;ַ֡
R_SendExecute               EQU     183h        ;ִ״ַ̬

.ends
